package com.logicbig.example;

import org.springframework.beans.factory.annotation.Autowired;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

public class Greeter {
    private String greetingFormat;

    @Autowired
    public void configure(GreetingService greetingService, LocalDateTime appServiceTime) {
        greetingFormat = String.format("%s. This app is running since: %s%n", greetingService.getGreeting("<NAME>"),
                appServiceTime.format(DateTimeFormatter.ofPattern("YYYY-MMM-d")));
    }

    public void showGreeting(String name) {
        System.out.printf(greetingFormat.replaceAll("<NAME>", name));
    }
}